org.apache.olingo.odata2.api.edm

## Class EdmTargetPath

- java.lang.Object
- - org.apache.olingo.odata2.api.edm.EdmTargetPath

-     public class EdmTargetPath
      extends Object

  Do not implement this interface or derive from class.
    EdmTargetPath specifies the possible default targets for an EDM property which is mapped to an atom element.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SYNDICATION_AUTHOREMAIL`
    `static String` | `SYNDICATION_AUTHORNAME`
    `static String` | `SYNDICATION_AUTHORURI`
    `static String` | `SYNDICATION_CONTRIBUTOREMAIL`
    `static String` | `SYNDICATION_CONTRIBUTORNAME`
    `static String` | `SYNDICATION_CONTRIBUTORURI`
    `static String` | `SYNDICATION_PUBLISHED`
    `static String` | `SYNDICATION_RIGHTS`
    `static String` | `SYNDICATION_SOURCE`
    `static String` | `SYNDICATION_SUMMARY`
    `static String` | `SYNDICATION_TITLE`
    `static String` | `SYNDICATION_UPDATED`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SYNDICATION_AUTHORNAME

          public static final String SYNDICATION_AUTHORNAME

      See Also:
        Constant Field Values

    - #### SYNDICATION_AUTHOREMAIL

          public static final String SYNDICATION_AUTHOREMAIL

      See Also:
        Constant Field Values

    - #### SYNDICATION_AUTHORURI

          public static final String SYNDICATION_AUTHORURI

      See Also:
        Constant Field Values

    - #### SYNDICATION_PUBLISHED

          public static final String SYNDICATION_PUBLISHED

      See Also:
        Constant Field Values

    - #### SYNDICATION_RIGHTS

          public static final String SYNDICATION_RIGHTS

      See Also:
        Constant Field Values

    - #### SYNDICATION_TITLE

          public static final String SYNDICATION_TITLE

      See Also:
        Constant Field Values

    - #### SYNDICATION_UPDATED

          public static final String SYNDICATION_UPDATED

      See Also:
        Constant Field Values

    - #### SYNDICATION_CONTRIBUTORNAME

          public static final String SYNDICATION_CONTRIBUTORNAME

      See Also:
        Constant Field Values

    - #### SYNDICATION_CONTRIBUTOREMAIL

          public static final String SYNDICATION_CONTRIBUTOREMAIL

      See Also:
        Constant Field Values

    - #### SYNDICATION_CONTRIBUTORURI

          public static final String SYNDICATION_CONTRIBUTORURI

      See Also:
        Constant Field Values

    - #### SYNDICATION_SOURCE

          public static final String SYNDICATION_SOURCE

      See Also:
        Constant Field Values

    - #### SYNDICATION_SUMMARY

          public static final String SYNDICATION_SUMMARY

      See Also:
        Constant Field Values

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.